##
##  lf.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2025 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package version
%define       V_opkg  36
%define       V_dist  20250718

#   package information
Name:         lf
Summary:      Terminal File Manager
URL:          https://github.com/gokcehan/lf/
Vendor:       Gökçehan Kara
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        Filesystem
License:      MIT
Version:      %{V_opkg}.%{V_dist}
Release:      20250718

#   list of sources
Source0:      http://download.openpkg.org/components/versioned/lf/lf-%{V_dist}.tar.xz

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, go
PreReq:       OpenPKG, openpkg >= 20160101

%description
    lf(1) (as in "list files") is a terminal file manager written in Go.

%track
    prog lf:release = {
        version   = %{V_opkg}
        url       = https://github.com/gokcehan/lf/releases
        regex     = r(\d+)\.tar\.gz
    }
    prog lf:snapshot = {
        version   = %{V_dist}
        url       = http://download.openpkg.org/components/versioned/lf/
        regex     = lf-(__VER__)\.tar\.xz
    }

%prep
    %setup -q -n lf

%build
    #   build program
    export GOPATH=`pwd`
    cd src/github.com/gokcehan/lf
    go build -v -o lf

%install
    #   install program
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/etc/lf \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/man/man1
    %{l_shtool} install -c -m 644 \
        src/github.com/gokcehan/lf/etc/lf.vim \
        src/github.com/gokcehan/lf/etc/lfcd.sh \
        $RPM_BUILD_ROOT%{l_prefix}/etc/lf/
    %{l_shtool} install -c -s -m 755 \
        src/github.com/gokcehan/lf/lf \
        $RPM_BUILD_ROOT%{l_prefix}/bin/
    %{l_shtool} install -c -m 644 \
        src/github.com/gokcehan/lf/lf.1 \
        $RPM_BUILD_ROOT%{l_prefix}/man/man1/

    #   determine installation files
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

